# $Revision: 1.46 $, $Date: 2010/06/30 07:12:12 $
%define		_state		stable
%define		orgname		kdeartwork
%define		qtver		4.6.3

Summary:	K Desktop Environment - artwork
Summary(pl.UTF-8):	K Desktop Environment - grafiki itp.
Name:		kde4-kdeartwork
Version:	4.4.5
Release:	1
License:	LGPL
Group:		X11/Applications
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.bz2
# Source0-md5:	54e60170222d3f476aa2ddb26f8e13fc
Patch0:		%{name}-findxscreensaver.patch
Patch1:		%{name}-crystalsvg-hicolor.patch
URL:		http://www.kde.org/
BuildRequires:	OpenGL-devel
BuildRequires:	Qt3Support-devel >= %{qtver}
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtGui-devel >= %{qtver}
BuildRequires:	QtSvg-devel >= %{qtver}
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	cmake >= 2.8.0
BuildRequires:	eigen >= 1:2.0.12-3
# for kscreensaver.h
BuildRequires:	kde4-kdebase-workspace-devel >= %{version}
BuildRequires:	phonon-devel >= 4.3.80
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	strigi-devel >= 0.7.0
BuildRequires:	xscreensaver-base
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains various graphics and such for KDE.

%description -l es.UTF-8
kdeartwork possue temas, sonidos, wallpapers, e estilos adicionais a
KDE.

%description -l pl.UTF-8
Pakiet ten zawiera różne grafiki i tym podobne dla KDE.

%description -l pt_BR.UTF-8
kdeartwork contém temas, sons, papéis de parede e estilos de janelas
adicionais para o KDE.

%package -n kde4-decoration-icewm
Summary:	Extensions for KDE IceWM decoration
Summary(pl.UTF-8):	Rozszerzenie dekoracji okna "IceWM" dla KDE
Group:		X11/Amusements
Requires:	kde4-kdebase-workspace >= %{version}

%description -n kde4-decoration-icewm
Extensions for KDE "IceWM" decoration.

%description -n kde4-decoration-icewm -l pl.UTF-8
Rozszerzenie dekoracji okna IceWM dla KDE.

%package -n kde4-ColorSchemes
Summary:	KDE ColorSchemes
Summary(pl.UTF-8):	Schematy kolorów dla KDE
Group:		X11/Amusements
Requires:	kde4-kdebase-workspace >= %{version}

%description -n kde4-ColorSchemes
KDE ColorSchemes.

%description -n kde4-ColorSchemes -l pl.UTF-8
Schematy kolorów dla KDE.

%package -n kde4-emoticons
Summary:	KDE emoticons themes
Summary(pl.UTF-8):	Motywy emotikon dla KDE
Group:		X11/Amusements
Requires:	kde4-kdelibs >= %{version}

%description -n kde4-emoticons
KDE emoticons themes.

%description -n kde4-emoticons -l pl.UTF-8
Motywy emotikon dla KDE.

%package -n kde4-icons-Locolor
Summary:	KDE Icons Theme - locolor
Summary(pl.UTF-8):	Motyw ikon dla KDE - locolor
Group:		X11/Amusements

%description -n kde4-icons-Locolor
KDE Icons Theme - locolor.

%description -n kde4-icons-Locolor -l pl.UTF-8
Motyw ikon dla KDE - locolor.

%package -n kde4-icons-Technical
Summary:	KDE Icons Theme - Technical
Summary(pl.UTF-8):	Motyw ikon dla KDE - Technical
Group:		X11/Amusements

%description -n kde4-icons-Technical
KDE Icons Theme - Technical.

%description -n kde4-icons-Technical -l pl.UTF-8
Motyw ikon dla KDE - Technical.

%package -n kde4-icons-ikons
Summary:	KDE Icons Theme - ikons
Summary(pl.UTF-8):	Motyw ikon dla KDE - ikons
Group:		X11/Amusements

%description -n kde4-icons-ikons
KDE Icons Theme - ikons.

%description -n kde4-icons-ikons -l pl.UTF-8
Motyw ikon dla KDE - ikons.

%package -n kde4-icons-kdeclassic
Summary:	KDE Icons Theme - kdeclassic
Summary(pl.UTF-8):	Motyw ikon dla KDE - kdeclassic
Group:		X11/Amusements

%description -n kde4-icons-kdeclassic
KDE Icons Theme - kdeclassic.

%description -n kde4-icons-kdeclassic -l pl.UTF-8
Motyw ikon dla KDE - kdeclassic.

%package -n kde4-icons-kids
Summary:	KDE Icons Theme - kids
Summary(pl.UTF-8):	Motyw ikon dla KDE - kids
Group:		X11/Amusements

%description -n kde4-icons-kids
KDE Icons Theme - kids.

%description -n kde4-icons-kids -l pl.UTF-8
Motyw ikon dla KDE - kids.

%package -n kde4-icons-slick
Summary:	KDE Icons Theme - slick
Summary(pl.UTF-8):	Motyw ikon dla KDE - slick
Group:		X11/Amusements

%description -n kde4-icons-slick
KDE Icons Theme - slick.

%description -n kde4-icons-slick -l pl.UTF-8
Motyw ikon dla KDE - slick.

%package -n kde4-icons-crystalsvg
Summary:	KDE Icons Theme - crystalsvg
Summary(pl.UTF-8):	Motyw ikon dla KDE - crystalsvg
Group:		X11/Amusements
Requires:	hicolor-icon-theme

%description -n kde4-icons-crystalsvg
KDE Icons Theme - crystalsvg.

%description -n kde4-icons-crystalsvg -l pl.UTF-8
Motyw ikon dla KDE - crystalsvg.

%package -n kde4-icons-nuvola
Summary:	KDE Icons Theme - nuvola
Summary(pl.UTF-8):	Motyw ikon dla KDE - nuvola
Group:		X11/Amusements

%description -n kde4-icons-nuvola
KDE Icons Theme - nuvola.

%description -n kde4-icons-nuvola -l pl.UTF-8
Motyw ikon dla KDE - nuvola.

%package -n kde4-style-phase
Summary:	KDE Style - Phase
Summary(pl.UTF-8):	Styl dla KDE - Phase
Group:		X11/Amusements
Requires:	kde4-kdebase >= %{version}

%description -n kde4-style-phase
KDE Style - Phase.

%description -n kde4-style-phase -l pl.UTF-8
Styl dla KDE - Phase.

%package kworldclock
Summary:	Themes for kworldclock
Summary(pl.UTF-8):	Motywy dla kworldclock
Group:		X11/Amusements
#Requires:	kde4-kdetoys-kworldclock >= %{version}

%description kworldclock
Themes for kworldclock.

%description kworldclock -l pl.UTF-8
Motywy dla kworldclock.

%package screensavers
Summary:	Screen savers for KDE
Summary(pl.UTF-8):	Wygaszacze ekranu dla KDE
Group:		X11/Amusements
Requires:	kde4-kdebase-workspace-screensavers >= %{version}

%description screensavers
Screen savers for KDE.

%description screensavers -l pl.UTF-8
Wygaszacze ekranu dla KDE.

%package sounds
Summary:	KDE Sounds
Summary(pl.UTF-8):	Dźwięki dla KDE
Group:		X11/Amusements
Requires:	kde4-kdebase >= %{version}

%description sounds
KDE Sounds.

%description sounds -l pl.UTF-8
Dźwięki dla KDE.

%package wallpapers
Summary:	KDE Wallpapers
Summary(pl.UTF-8):	Tapety dla KDE
Group:		X11/Amusements
Requires:	kde4-kdelibs >= %{version}

%description wallpapers
KDE Wallpapers.

%description wallpapers -l pl.UTF-8
Tapety dla KDE.

%package -n kde4-desktopthemes
Summary:	KDE Desktop Themes
Summary(pl.UTF-8):	Motywy pulpitu dla KDE
Group:		X11/Amusements
Requires:	kde4-kdebase-workspace >= %{version}

%description -n kde4-desktopthemes
KDE Desktop Themes.

%description -n kde4-desktopthemes -l pl.UTF-8
Motywy pulpitu dla KDE.

%prep
%setup -q -n %{orgname}-%{version}
%patch0 -p0
#%patch1 -p0

%build
install -d build
cd build
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DLIB_INSTALL_DIR=%{_libdir} \
	-DCMAKE_BUILD_TYPE=%{!?debug:Release}%{?debug:Debug} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

#%files -n kde4-decoration-icewm
#%defattr(644,root,root,755)
#%{_datadir}/apps/kwin/icewm-themes

%files -n kde4-ColorSchemes
%defattr(644,root,root,755)
%{_datadir}/apps/color-schemes/*.colors

%files -n kde4-emoticons
%defattr(644,root,root,755)
%{_datadir}/emoticons

#%files -n kde4-icons-Locolor
#%defattr(644,root,root,755)
#%{_iconsdir}/Locolor

#%files -n kde4-icons-ikons
#%defattr(644,root,root,755)
#%{_iconsdir}/ikons

#%files -n kde4-icons-kdeclassic
#%defattr(644,root,root,755)
#%{_iconsdir}/kdeclassic

#%files -n kde4-icons-kids
#%defattr(644,root,root,755)
#%{_iconsdir}/kids

#%files -n kde4-icons-slick
#%defattr(644,root,root,755)
#%{_iconsdir}/slick

#%files -n kde4-icons-crystalsvg
#%defattr(644,root,root,755)
#%{_iconsdir}/crystalsvg

%files -n kde4-icons-nuvola
%defattr(644,root,root,755)
%{_iconsdir}/nuvola

%files -n kde4-style-phase
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kstyle_phase_config.so
%attr(755,root,root) %{_libdir}/kde4/plugins/styles/phasestyle.so
%{_datadir}/apps/kstyle/themes/phase.themerc

#%files kworldclock
#%defattr(644,root,root,755)
#%dir %{_datadir}/apps/kworldclock
#%{_datadir}/apps/kworldclock/maps

%files screensavers
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kxsconfig
%attr(755,root,root) %{_bindir}/kxsrun
%attr(755,root,root) %{_bindir}/*.kss
%{_datadir}/kde4/services/ScreenSavers/*.desktop
%{_datadir}/apps/kfiresaver
%{_datadir}/apps/kscreensaver

%files sounds
%defattr(644,root,root,755)
%{_datadir}/sounds/*

%files wallpapers
%defattr(644,root,root,755)
%{_datadir}/wallpapers/*

%files -n kde4-desktopthemes
%defattr(644,root,root,755)
%{_datadir}/apps/desktoptheme/Aya
%{_datadir}/apps/desktoptheme/Clean-Blend
%{_datadir}/apps/desktoptheme/Elegance
%{_datadir}/apps/desktoptheme/Silicon
%{_datadir}/apps/desktoptheme/heron
%{_datadir}/apps/desktoptheme/slim-glow

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde4-kdeartwork.spec,v $
Revision 1.46  2010/06/30 07:12:12  shadzik
- 4.4.5

Revision 1.45  2010/05/28 22:31:37  shadzik
- 4.4.4

Revision 1.44  2010/05/01 13:37:58  shadzik
- 4.4.3

Revision 1.43  2010/03/27 15:04:54  arekm
- up to 4.4.2

Revision 1.42  2010/03/01 02:26:08  shadzik
- there is no eigen-devel anymore
- rel 2

Revision 1.41  2010/02/27 12:12:47  shadzik
- 4.4.1 try #1

Revision 1.40  2010/02/18 19:28:43  glen
- restore lost NL

Revision 1.39  2010/02/18 16:27:13  sparky
- BR: QtSvg-devel, eigen-devel, qt4-build
- dropped BR: ed, libxml2-progs
- "Congratulations! All external packages have been found.", builds

Revision 1.38  2010/02/18 00:15:08  shadzik
- merged from DEVEL

Revision 1.33.2.13  2010/02/04 20:33:59  arekm
- up to 4.4.0

Revision 1.33.2.12  2010/02/02 20:53:41  shadzik
- bump up qtver; it's not necessay but we make sure we link with the latest qtver

Revision 1.33.2.11  2010/02/02 15:58:55  shadzik
- minor clean up (removing old svn snap stuff)

Revision 1.33.2.10  2010/02/02 13:10:21  shadzik
- force cmake 2.8.0 BR

Revision 1.33.2.9  2010/02/01 00:39:27  shadzik
- 4.4 RC3

Revision 1.33.2.8  2010/01/28 23:12:20  shadzik
- kill useless kde4-kdebase-devel BR

Revision 1.33.2.7  2010/01/20 08:42:35  arekm
- up to 4.3.95

Revision 1.33.2.6  2010/01/08 11:36:49  arekm
- up to 4.3.90

Revision 1.33.2.5  2009/12/21 01:04:51  shadzik
- 4.4 Beta2

Revision 1.33.2.4  2009/12/03 20:43:43  shadzik
- 4.4 beta1

Revision 1.33.2.3  2009/11/18 19:01:27  shadzik
- 4.3.75

Revision 1.33.2.2  2009/11/02 02:28:23  shadzik
- 4.3.73

Revision 1.33.2.1  2009/10/21 01:18:21  shadzik
- 4.3.72

Revision 1.33  2009/10/03 11:58:25  shadzik
- updated qt BR

Revision 1.32  2009/10/03 08:59:20  shadzik
- 4.3.2 try #1

Revision 1.31  2009/08/28 15:28:41  shadzik
- 4.3.1

Revision 1.30  2009/08/03 15:20:21  arekm
- values are case sensitive it seems

Revision 1.29  2009/07/29 20:22:38  shadzik
- merged from DEVEL

Revision 1.28.2.5  2009/07/29 20:22:22  shadzik
- 4.3.0

Revision 1.28.2.4  2009/07/22 11:43:28  shadzik
- 4.3rc3

Revision 1.28.2.3  2009/07/09 19:04:08  paszczus
- updated to 4.2.96

Revision 1.28.2.2  2009/07/04 15:32:48  shadzik
- fix --target build

Revision 1.28.2.1  2009/06/29 20:46:37  shadzik
- 4.3 RC1

Revision 1.28  2009/05/28 22:36:42  shadzik
- 4.2.4 try #1

Revision 1.27  2009/05/08 15:02:01  shadzik
- release 3

Revision 1.26  2009/05/08 14:34:30  shadzik
- updated cmake br

Revision 1.25  2009/05/01 15:44:19  shadzik
- 4.2.3

Revision 1.24  2009/03/27 22:23:54  shadzik
- 4.2.2

Revision 1.23  2009/02/27 16:09:46  shadzik
- 4.2.1

Revision 1.22  2009/02/20 12:15:49  shadzik
- release 5

Revision 1.21  2009/02/20 11:53:08  shadzik
- conditional release/debug build (thx glen)

Revision 1.20  2009/02/20 10:46:40  shadzik
- don't be that noisy on terminal output; rel up

Revision 1.19  2009/02/06 16:06:00  qboosh
- pl fix

Revision 1.18  2009/02/03 13:47:52  shadzik
- merged from DEVEL
- 4.2.0
- rel 3

Revision 1.15.2.28  2009/01/22 19:29:51  shadzik
- updated automoc4 BR; rel 2

Revision 1.15.2.27  2009/01/22 15:51:54  shadzik
- 4.2.0

Revision 1.15.2.26  2009/01/13 00:28:53  shadzik
- updated strigi and phonon BRs

Revision 1.15.2.25  2009/01/07 19:56:10  shadzik
- 4.2 RC1

Revision 1.15.2.24  2009/01/07 10:41:18  shadzik
- 4.1.87
- icon subpackages are gone
- new subpackage - kde4-desktopthemes

Revision 1.15.2.23  2008/12/15 15:40:06  shadzik
- 4.1.85

Revision 1.15.2.22  2008/12/15 12:52:38  shadzik
- dir

Revision 1.15.2.21  2008/12/08 22:48:53  glen
- crystalsvg to inherit hicolor (blind commit as somebody removed kde4 devel pkgs); rel 2

Revision 1.15.2.20  2008/12/08 16:28:15  paszczus
- updated to 4.1.82

Revision 1.15.2.19  2008/11/29 04:19:45  shadzik
- 4.1.81

Revision 1.15.2.18  2008/11/26 20:32:47  shadzik
- 4.2 beta1

Revision 1.15.2.17  2008/11/20 15:27:05  shadzik
- updated cmake BR

Revision 1.15.2.16  2008/11/20 15:25:00  shadzik
- 4.1.73

Revision 1.15.2.15  2008/10/20 10:04:41  shadzik
- %files

Revision 1.15.2.14  2008/10/20 10:00:11  shadzik
- BR: xscreensaver-base

Revision 1.15.2.13  2008/10/20 09:59:00  shadzik
- 4.1.70
- add patch0

Revision 1.15.2.12  2008/10/20 00:55:57  shadzik
- rel up and qtver bump up

Revision 1.15.2.11  2008/10/20 00:52:02  shadzik
- s/kde4-kdebase-core/kde4-kdebase/g in Rs

Revision 1.15.2.10  2008/10/10 12:33:37  paszczus
- updated to 4.1.69

Revision 1.15.2.9  2008/09/27 11:17:33  rotom
- up to 4.1.67

Revision 1.15.2.8  2008/09/06 15:16:50  rotom
- up to 4.1.65

Revision 1.15.2.7  2008/08/31 11:10:15  wolf
- 4.1.64

Revision 1.15.2.6  2008/08/17 22:36:58  shadzik
- 4.1.62

Revision 1.15.2.5  2008/08/15 11:54:37  shadzik
- cmake fix now in cmake itself

Revision 1.15.2.4  2008/08/12 17:09:32  shadzik
- BR: cmake >= 2.6.0

Revision 1.15.2.3  2008/08/12 17:07:10  shadzik
- updated automoc4 BR

Revision 1.15.2.2  2008/08/12 17:06:28  shadzik
- BRs

Revision 1.15.2.1  2008/08/12 17:02:33  shadzik
- 4.1.61

Revision 1.15  2008/07/25 19:00:10  arekm
- rel 2; fix kscreensaver build

Revision 1.14  2008/07/24 19:58:39  paszczus
- updated to stable 4.1.0

Revision 1.13  2008/07/15 19:13:41  shadzik
- 4.0.98

Revision 1.12  2008/07/04 18:18:37  rotom
- up to 4.0.85

Revision 1.11  2008/07/03 12:32:37  paszczus
- updated to 4.0.84
- added new subpackage kde4-icons-nuvola

Revision 1.10  2008/06/25 22:46:15  shadzik
- kill bullshitty Requires in subpackages
- replace others with proper ones

Revision 1.9  2008/06/25 22:39:59  shadzik
- BR: strigi-devel and phonon-devel

Revision 1.8  2008/06/25 22:37:38  shadzik
- 4.0.83
- proper Group

Revision 1.7  2008/06/25 22:30:47  shadzik
- wrrr, fucking mkdir, USE install -d, god damn it!
- fix %setup

Revision 1.6  2008/06/25 22:29:25  shadzik
- 64bit fix

Revision 1.5  2008/06/25 22:28:14  shadzik
- BR: automoc4
- kill sed BR

Revision 1.4  2008/06/25 22:27:15  shadzik
- unify packages name (kde -> kde4)

Revision 1.3  2008/06/16 06:28:10  ankry
- kde -> KDE

Revision 1.2  2008/06/15 19:33:21  glen
- spec vs name, drop bogus translations

Revision 1.1  2008/06/15 19:08:23  rotom
- initial
